<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Companies Client</title>
    <link rel="stylesheet" href="assets/popup.css">
    <link rel="stylesheet" href="assets/app.css">
</head>

<body>

    <div id="wrapper">
        <br>
        <h1>Lahedad ettevõtted</h1>
        <main>Companies list here</main>
        <footer>
      <button onclick="displayCompanyEditPopup()">Lisa uus ettevõte</button>
    </footer>
    </div>

    <template id="companyEditFormTemplate">
        <div style="overflow-x: hidden; overflow-y: auto;">
            <h2>Lisa/muuda ettevõtet</h2>
            <br>
            <div id="errorBox" style="display: none;">
            </div>
            
            <br>
            <input type="hidden" id= "companyId">
             Nimi: <br>
            <input type="text" id="companyName"><br><br>

             Logo: <br>
            <input type="text" id="companyLogo"><br><br>

             Asutatud: <br>
            <input type="date" id="companyEstablished"><br><br>

             Töötajaid: <br>
            <input type="number" id="companyEmployees"><br><br>

            
            <button onclick="editCompany()">Salvesta</button>
        </div>
    </template>

    <script src="assets/config.js"></script>
    <script src="assets/fetchApi.js"></script>
    <script src="assets/popup.js"></script>
    <script src="assets/app.js"></script>
</body>

</html>